package EarthquakeLib;

import java.util.Comparator;

public class EarthquakeComparator implements Comparator<Earthquake> {

    private int column = 0;

    public EarthquakeComparator() {
    	this(0);
    }

    public EarthquakeComparator(int column) {
    	this.column = column;
    }
    
	@Override
	public int compare(Earthquake v1, Earthquake v2) {
    	if (!(v1 instanceof Earthquake) || !(v2 instanceof Earthquake))
  	      return 0;
    	// compare by ConverterType/String/Double/String/Double
    	switch(this.column) {
    	case 0:
			return v1.Time.compareTo(v2.Time);
		case 1:
			return Double.compare(v1.Latitude, v2.Latitude);
		case 2:
			return Double.compare(v1.Longitude, v2.Longitude);
		case 3:
			return Double.compare(v1.Depth, v2.Depth);
		case 4:
			return Double.compare(v1.Magnitude, v2.Magnitude);
		case 5:
			return v1.MagType.compareTo(v2.MagType);
		case 6:
			return v1.ID.compareTo(v2.ID);
		case 7:
			return v1.Place.compareTo(v2.Place);
		default:
			return 0;
    	}
	}
}
